## org.eclipse.uml2.common.util
Class SubsetSupersetEObjectContainmentEList.Unsettable<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<E>
                      org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                          org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                              org.eclipse.emf.ecore.util.EcoreEList<E>
                                  org.eclipse.emf.ecore.util.EObjectEList<E>
                                      org.eclipse.uml2.common.util.SubsetSupersetEObjectEList<E>
                                          org.eclipse.uml2.common.util.SubsetSupersetEObjectContainmentEList<E>
                                              org.eclipse.uml2.common.util.SubsetSupersetEObjectContainmentEList.Unsettable<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, org.eclipse.emf.common.notify.NotifyingList<E>, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

Direct Known Subclasses:
  SubsetSupersetEObjectContainmentEList.Unsettable.Resolving

Enclosing class:
  SubsetSupersetEObjectContainmentEList<E>

    public static class SubsetSupersetEObjectContainmentEList.Unsettable<E>

extends SubsetSupersetEObjectContainmentEList<E>

See Also:
  Serialized Form

Nested Class Summary
`static class` `SubsetSupersetEObjectContainmentEList.Unsettable.Resolving<E>`

Nested classes/interfaces inherited from class org.eclipse.uml2.common.util.SubsetSupersetEObjectContainmentEList
`SubsetSupersetEObjectContainmentEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`org.eclipse.emf.ecore.util.EcoreEList.Dynamic<E>, org.eclipse.emf.ecore.util.EcoreEList.Generic<E>, org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException, org.eclipse.emf.common.util.BasicEList.EIterator<E1>, org.eclipse.emf.common.util.BasicEList.EListIterator<E1>, org.eclipse.emf.common.util.BasicEList.FastCompare<E>, org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEListIterator<E1>`

Field Summary
`protected boolean` `isSet`

Fields inherited from class org.eclipse.uml2.common.util.SubsetSupersetEObjectEList
`subsetFeatureIDs, supersetFeatureIDs`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SubsetSupersetEObjectContainmentEList.Unsettable(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int[] supersetFeatureIDs, int[] subsetFeatureIDs)`

Method Summary
`protected void` `didChange()`
`boolean` `isSet()`
`void` `unset()`

Methods inherited from class org.eclipse.uml2.common.util.SubsetSupersetEObjectContainmentEList
`addAll, addAll, hasInverse, hasNavigableInverse, isContainment`

Methods inherited from class org.eclipse.uml2.common.util.SubsetSupersetEObjectEList
`add, add, basicAdd, basicSet, didRemove, enforceSubsetConstraints, enforceSupersetConstraints, set, subsetRemove, supersetAdd`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectEList
`canContainNull, getFeatureID, isEObject, isUnique, resolve, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList

`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isInstance, isNotificationRequired, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicRemove, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`assign, basicGet, clone, data, get, grow, isEmpty, primitiveGet, setData, shrink, size`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`didAdd, didClear, didMove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, iterator, listIterator, listIterator, move, remove, retainAll, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList`

Field Detail

### isSet

    protected boolean isSet

Constructor Detail

### SubsetSupersetEObjectContainmentEList.Unsettable

    public SubsetSupersetEObjectContainmentEList.Unsettable(java.lang.Class<?> dataClass,
                                                            org.eclipse.emf.ecore.InternalEObject owner,
                                                            int featureID,
                                                            int[] supersetFeatureIDs,
                                                            int[] subsetFeatureIDs)

Method Detail

### didChange

    protected void didChange()

  Overrides:
    `didChange` in class `org.eclipse.emf.common.util.AbstractEList<E>`

### isSet

    public boolean isSet()

  Specified by:
    `isSet` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>`
  Overrides:
    `isSet` in class `org.eclipse.emf.ecore.util.EcoreEList<E>`

### unset

    public void unset()

  Specified by:
    `unset` in interface `org.eclipse.emf.ecore.EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>`
  Overrides:
    `unset` in class `org.eclipse.emf.ecore.util.EcoreEList<E>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.